## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pyxdameraulevenshtein
Version:        1.8.0
Release:        %autorelease
Summary:        Damerau-Levenshtein (DL) edit distance algorithm

License:        BSD-3-Clause
URL:            https://github.com/lanl/pyxDamerauLevenshtein
# The PyPI sdist lacks the tests.
Source:         %{url}/archive/v%{version}/pyxDamerauLevenshtein-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  gcc

BuildRequires:  dos2unix

# The tests only require unittest, but pytest is a more convenient runner.
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
pyxDamerauLevenshtein implements the Damerau-Levenshtein (DL) edit distance
algorithm for Python in Cython for high performance.}

%description %{common_description}


%package -n python3-pyxdameraulevenshtein
Summary:        %{summary}

%description -n python3-pyxdameraulevenshtein %{common_description}


%prep
%autosetup -n pyxDamerauLevenshtein-%{version}

# Remove Cythonized C sources (_initialize.c, but the following is general):
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_using_cython
# As of 1.8.0, this is unnecessary, but the following still guards against the
# accidental reintroduction of Cythoinzed C sources.
find . -type f -exec grep -FrinIl 'Generated by Cython' '{}' '+' |
  xargs -r -t rm -v

# Fix “DOS-style” CRLF line terminators in CHANGES.md
dos2unix --keepdate CHANGES.md


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyxdameraulevenshtein


%check
%pytest -v


%files -n python3-pyxdameraulevenshtein -f %{pyproject_files}
# pyproject_files handles AUTHORS.md and LICENSE; verify with “rpm -qL -p …”
%doc CHANGES.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri May 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.0-1
- Update to 1.8.0 (close RHBZ#2278691)

* Sun Oct 01 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7.1-1
- Initial package (close RHBZ#2241171)
## END: Generated by rpmautospec
